// AISBasicDoc.h: interface for the CAISBasicDoc class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_AISBASICDOC_H__2DBF4781_1418_11D7_8605_0060B0EE281E__INCLUDED_)
#define AFX_AISBASICDOC_H__2DBF4781_1418_11D7_8605_0060B0EE281E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <OCC_3dDoc.h>

class CAISBasicDoc : public OCC_3dDoc  
{
public:
	DECLARE_DYNCREATE(CAISBasicDoc)
	CAISBasicDoc();
	virtual ~CAISBasicDoc();
	virtual void Popup          (const Standard_Integer  x       ,
		    			 const Standard_Integer  y       ,
                         const Handle(V3d_View)& aView   );


protected:
	
	//{{AFX_MSG(CAISBasicDoc)
	afx_msg void OnCircle();
	afx_msg void OnSphere();
	afx_msg void OnCylinder();
	afx_msg void OnLine();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

#endif // !defined(AFX_AISBASICDOC_H__2DBF4781_1418_11D7_8605_0060B0EE281E__INCLUDED_)
